unique {base} | R Documentation

## Extract Unique Elements

### Description

`unique` returns a vector like `x` but with duplicate elements removed. If an element is equal to one with a smaller index, it is removed.

### Usage

    unique(x)

### Arguments

`x` | an atomic vector

### See Also

`duplicated` which gives the indices of duplicated elements.

### Examples

    unique(c(3:5, 11:8, 8 + 0:5))
    length(unique(sample(100,100,replace=T)))# ~= 100(1 - 1/e) = 63.21
    my.unique <- function(x) x[!duplicated(x)]
    for(i in 1:4)
     { x <- rpois(100, pi); stopifnot(unique(x) == my.unique(x)) }

[Package Contents]